
module RAM(
	input clk, 
	input read, 
	input [6:0] addressRam, 
	inout [7:0] dataRam
	);
 
	reg [7:0] value;
	reg [7:0] ram [0:127];
	
	assign dataRam = read? value : 8'bz;

	always @(negedge clk)
	begin
		if(read == 0) begin
			ram[addressRam] = dataRam;
		end 
		else begin
			value = ram[addressRam];
		end
	end //always @(negedge clk)
endmodule
